# oneandone_public_ip – Configure 1&1 public IPs

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, update, and remove public IPs. This module has a dependency on 1and1 >= 1.0

## Requirements

The below requirements are needed on the host that executes this module.

- 1and1

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_url - |  | Custom API URL. Overrides the ONEANDONE_API_URL environement variable.
auth_token - / required |  | Authenticating API token provided by 1&1.
datacenter - |  | ID of the datacenter where the IP will be created (only for unassigned IPs).
public_ip_id - / required |  | The ID of the public IP used with update and delete states.
reverse_dns - |  | Reverse DNS name. maxLength=256

state
-

Choices:
- present ←
- absent
- update

Define a public ip state to create, remove, or update.

type
-

Choices:
- IPV4 ←
- IPV6

Type of IP. Currently, only IPV4 is available.

wait
boolean

Choices:
- no
- yes ←

wait for the instance to be in state 'running' before returning

wait_interval - | Default: 5 | Defines the number of seconds to wait when using the _wait_for methods
wait_timeout - | Default: 600 | how long before wait gives up, in seconds

## Examples

    # Create a public IP.

    - oneandone_public_ip:
        auth_token: oneandone_private_api_key
        reverse_dns: example.com
        datacenter: US
        type: IPV4

    # Update a public IP.

    - oneandone_public_ip:
        auth_token: oneandone_private_api_key
        public_ip_id: public ip id
        reverse_dns: secondexample.com
        state: update

    # Delete a public IP

    - oneandone_public_ip:
        auth_token: oneandone_private_api_key
        public_ip_id: public ip id
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
public_ip dictionary | always | Information about the public ip that was processed Sample: {"id": "F77CC589EBC120905B4F4719217BFF6D", "ip": "10.5.132.106"}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Amel Ajdinovic (@aajdinov)

- Ethan Devenport (@edevenport)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.